osl::rating::PawnAttack Class Reference

`#include <feature.h>`

Inheritance diagram for osl::rating::PawnAttack:

## Public Member Functions

| PawnAttack ()
bool | match (const NumEffectState &, Move move, const RatingEnv &env) const
Public Member Functions inherited from osl::rating::Feature
| Feature (const std::string &name)
virtual | ~Feature ()
virtual bool | effectiveInCheck () const
const std::string & | name () const

## Detailed Description

Definition at line 240 of file rating/feature.h.

## Constructor & Destructor Documentation

## PawnAttack()

osl::rating::PawnAttack::PawnAttack | ( |  | ) |

inline

Definition at line 243 of file rating/feature.h.

References osl::rating::Feature::Feature().

## Member Function Documentation

## match()

bool osl::rating::PawnAttack::match | ( | const NumEffectState & | ,
|  | Move | move,
|  | const RatingEnv & | env ) const

inline virtual

Implements osl::rating::Feature.

Definition at line 246 of file rating/feature.h.

References osl::Move::capturePtype(), osl::rating::RatingEnv::history, osl::Move::isDrop(), osl::Move::isNormal(), osl::container::MoveStack::lastMove(), osl::PAWN, osl::Move::ptype(), osl::PTYPE_EMPTY, osl::Move::to(), and osl::Square::x().

The documentation for this class was generated from the following file:

- rating/feature.h